package com.red.circle.common.business.core;

import java.util.Objects;

/**
 * @author pengliang on 2022/10/20
 */
public final class EnvCheck {

  private EnvCheck() {
  }

  public static boolean isProd(String profile) {
    return Objects.equals(profile, "prod");
  }

  public static boolean isTest(String profile) {
    return Objects.equals(profile, "test");
  }

  public static boolean isDev(String profile) {
    return Objects.equals(profile, "dev");
  }

  public static boolean isLocal(String profile) {
    return Objects.equals(profile, "local");
  }

}
